curl -X POST 'https://verification.didit.me/v3/session/11111111-2222-3333-4444-555555555555/files-export/' \
-H 'x-api-key: YOUR_API_KEY'from didit import Didit
# Reads DIDIT_API_KEY.
client = Didit()
result = client.sessions.export_files(
"11111111-2222-3333-4444-555555555555",
)
print(result)import Didit from "@didit-protocol/sdk-node";
// Reads DIDIT_API_KEY.
const didit = new Didit();
const result = await didit.sessions.exportFiles("11111111-2222-3333-4444-555555555555");
console.log(result);ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()
result, err := client.Sessions.ExportFiles(ctx, "11111111-2222-3333-4444-555555555555")
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)import me.didit.Didit;
// Reads DIDIT_API_KEY.
Didit client = new Didit();
var result = client.sessions().exportFiles("11111111-2222-3333-4444-555555555555");
System.out.println(result);<?php
require 'vendor/autoload.php';
use Didit\DiditClient;
// Reads DIDIT_API_KEY.
$didit = new DiditClient();
$result = $didit->sessions->exportFiles('11111111-2222-3333-4444-555555555555');
print_r($result->toArray());require "didit"
# Reads DIDIT_API_KEY.
didit = Didit::Client.new
result = didit.sessions.export_files("11111111-2222-3333-4444-555555555555")
puts result.to_husing System;
using System.Text.Json;
using Didit;
// Reads DIDIT_API_KEY.
using var client = new DiditClient();
var result = await client.Sessions.ExportFilesAsync("11111111-2222-3333-4444-555555555555");
Console.WriteLine(JsonSerializer.Serialize(result));{
"export_id": "aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee",
"session_id": "11111111-2222-3333-4444-555555555555",
"status": "PENDING",
"file_count": null,
"size_bytes": null,
"download_url": null,
"expires_at": null,
"error": null,
"created_at": "2026-10-29T12:00:03Z",
"completed_at": null
}Export Session Files API: Download Every File as One ZIP
POST /v3/session//files-export/ to prepare one ZIP with every image, video and document of a KYC or KYB session, in original quality.
curl -X POST 'https://verification.didit.me/v3/session/11111111-2222-3333-4444-555555555555/files-export/' \
-H 'x-api-key: YOUR_API_KEY'from didit import Didit
# Reads DIDIT_API_KEY.
client = Didit()
result = client.sessions.export_files(
"11111111-2222-3333-4444-555555555555",
)
print(result)import Didit from "@didit-protocol/sdk-node";
// Reads DIDIT_API_KEY.
const didit = new Didit();
const result = await didit.sessions.exportFiles("11111111-2222-3333-4444-555555555555");
console.log(result);ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()
result, err := client.Sessions.ExportFiles(ctx, "11111111-2222-3333-4444-555555555555")
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)import me.didit.Didit;
// Reads DIDIT_API_KEY.
Didit client = new Didit();
var result = client.sessions().exportFiles("11111111-2222-3333-4444-555555555555");
System.out.println(result);<?php
require 'vendor/autoload.php';
use Didit\DiditClient;
// Reads DIDIT_API_KEY.
$didit = new DiditClient();
$result = $didit->sessions->exportFiles('11111111-2222-3333-4444-555555555555');
print_r($result->toArray());require "didit"
# Reads DIDIT_API_KEY.
didit = Didit::Client.new
result = didit.sessions.export_files("11111111-2222-3333-4444-555555555555")
puts result.to_husing System;
using System.Text.Json;
using Didit;
// Reads DIDIT_API_KEY.
using var client = new DiditClient();
var result = await client.Sessions.ExportFilesAsync("11111111-2222-3333-4444-555555555555");
Console.WriteLine(JsonSerializer.Serialize(result));{
"export_id": "aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee",
"session_id": "11111111-2222-3333-4444-555555555555",
"status": "PENDING",
"file_count": null,
"size_bytes": null,
"download_url": null,
"expires_at": null,
"error": null,
"created_at": "2026-10-29T12:00:03Z",
"completed_at": null
}202 with the export; read it with Get files export until status is READY, then download download_url.
- While an export of the same session is still being prepared, the call returns that export instead of starting a new one.
- The ZIP is deleted 24 hours after it is ready, and at once when the session is deleted.
- A deleted session cannot be exported: the call returns
404. - Every export is written to the session’s audit log.
- A scoped API key needs
media: readanddecisions: read.
Authorizations
Your application's API key, from Developers -> API keys in the Business Console. The primary key has full access. A named key can be scoped: none, read or write per resource, limited to some workflows or to approved sessions, to a list of IP addresses, and to an expiry date. 401 means the key is wrong, revoked or expired; 403 means no key was sent, the key has no access to this resource or action, or the request came from an address outside its IP list; 404 on a session route means the session is outside the key's workflows or statuses. A key without media access receives image, video and PDF URLs as null, and a key without sessions write receives session links and tokens as null. See https://docs.didit.me/console/api-keys.
Path Parameters
UUID of the verification session (the session_id returned by POST /v3/session/). Accepts both User Verification (KYC) and Business Verification (KYB) session IDs. A deleted session returns 404.
"11111111-2222-3333-4444-555555555555"
Response
The export, being prepared.
One ZIP with every file of a session, in original quality.
ID of the export. Pass it to GET /v3/session/{sessionId}/files-export/{exportId}/.
The session the files are from.
PENDING and PROCESSING while the ZIP is prepared, READY once it can be downloaded, FAILED when it could not be prepared (request a new export), EXPIRED once the ZIP was deleted.
PENDING, PROCESSING, READY, FAILED, EXPIRED Files in the ZIP. Set only while status is READY.
Size of the ZIP in bytes. Set only while status is READY.
Signed URL of the ZIP, valid for a short time. Set only while status is READY; read the export again for a new one.
When the ZIP is deleted, 24 hours after it was ready. Set only while status is READY.
Why the export failed, when status is FAILED.
When the export was requested.
When the ZIP was ready or the export failed.